function [fT]=ffDT(fN)
%ffDT datetime from filename string
% filename is always 27 characters - e.g. 'caa-27.08.2016-15.49.43.bin'
% first 3 characters are the prefix for the receiver name
% followed by a dash and 2 characters for the day
dd=str2double(fN(5:6));
% followed by a dot and 2 characters for the month
mm=str2double(fN(8:9));
% followed by a dot and 4 characters for the year
yr=str2double(fN(11:14));
% followed by a dash and 2 characters for the hour
hr=str2double(fN(16:17));
% followed by a dot and 2 characters for the minute
mn=str2double(fN(19:20));
% followed by a dot and 2 characters for the second
sc=str2double(fN(22:23));

fT=datetime(yr,mm,dd,hr,mn,sc);