function [nl]=fnl(datN,ll)
%fnl calculate number of blocks of length ll for data file
fid=fopen(datN,'r','ieee-be');       % open data file
h=fread(fid,2,'float64');            % read header length
ihlenb=(h(1)*h(2)+2)*8;              % header length in byte
fseek(fid,0,'eof'); nb=ftell(fid);   % number of bytes in file
ns=(nb-ihlenb)/2;                    % number of samples in file
nl=floor(ns/ll)-1;                   % number of blocks of ll samples (loop length)
fclose(fid);                         % close file
end