function [pos]=fpo(ybr,yMr)
%fpo phase offset
erP=mean(nanmean(abs(angle(ybr.*conj(yMr)))));           % error phase
if erP>3*pi/4,                                                  % in case the phase deviation is near +/- pi
    ybr=-ybr; pos=mean(nanmean(angle(ybr.*conj(yMr)))); pos=pos+pi; % shift by pi first, then find offset
else pos=mean(nanmean(angle(ybr.*conj(yMr))));                      % otherwise, straightforward offset
end