% analyse transmissions hourly
GMSn={'DHO','GBZ','GQD'}; OOMn={'MSF'};     % names of GMSK transmissions; GMSn={'DHO','GBZ','GQD'};
nGo=11; nOo=5; nGs=length(GMSn); nOs=length(OOMn);    % number of outputs for GMSK and OOM transmissions and number of transmissions
figure(1);
for h=00:23
    display(h);
    qq=NaN(nGs,1); pos=NaN(nGs+nOs,1); te=NaN(nGs,1); bte=false(nGs,1); % initialise/reset
    [s,te,pos]=fTstat(DDT(h),GMSn,OOMn,qq,pos,te,bte,1,0);
    
    for ii=1:length(GMSn)
        plot(s(:,(1:2)+(ii-1)*11)); grid on; ylabel('am');
        export_fig(sprintf('%02dh_%s_am.png',h,GMSn{ii}));
        plot(s(:,(5:6)+(ii-1)*11)); grid on; ylabel('pm');
        export_fig(sprintf('%02dh_%s_pm.png',h,GMSn{ii}));
        plot(s(:,11+(ii-1)*11)); grid on; ylabel('te');
        export_fig(sprintf('%02dh_%s_te.png',h,GMSn{ii}));
    end
    
%     plot(s(:,34)); grid on; ylabel('am');
%     export_fig(sprintf('%02dh_%s_am.png',h,OOMn{1}));
%     plot(s(:,36)); grid on; ylabel('pm');
%     export_fig(sprintf('%02dh_%s_pm.png',h,OOMn{1}));
    
    save(sprintf('20160827_%02d_processed.mat',h),'s','te','pos');
%     close all;
end