function [yf]=fFTc(f,Y,f1,f2,ia,ib)
%fFTc bandpass filter and truncate from frequency components
if f2>f1, Y(f<f1|f>f2)=0;    % filter, removing negative frequencies (bandpass)
else Y(f<f1&f>f2)=0;         % filter baseband signal (not taking mirrored negative frequencies)
end                          %
yf=2*ifft(Y); yf=yf(ia:ib);  % inverse transform (factor of 2 as negative frequencies have been removed) & truncate; 
end