function [a,p,bA,pos]=fOOd(f,Yt,stN,pos,tS,srs)
%fOOd get On-Off modulated transmission disturbance
% based on code in function fTstat
[fs,~,datL,o1,o2,~,~,~,~,~,~,ofa]=DPP; % processing parameters
[fb,fc,nS]=DTM(stN);                     % OOM transmission parameters
isa=o2/2+1; isb=isa-1+datL*fs;           % index to truncate from datL*fs+o2*2 -> datL*fs+o2

[yb]=ftcbTX(f,Yt,fb,fc,fs,isa,isb,tS+o1/fs);    % get complex baseband transmission; length datL*fs
[bA]=fdOO(abs(yb),nS,ofa);                      % find off samples

if isnan(pos),                         % if phase offset has not been defined
    yb1=ones(size(yb)); yb1(bA)=NaN; pos=fpo(yb,yb1); % find phase offset
end                                                   %

yb=yb.*exp(-1j*pos);                            % phase offset
yb=reshape(yb,srs,[]); bA=reshape(bA,srs,[]);   % reshape
a=abs(yb); p=angle(yb);                         % save outputs